/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.admin.classloader.control {
import com.adobe.cairngorm.control.CairngormEventDispatcher;
import com.adobe.cairngorm.control.FrontController;

import org.ow2.jonas.admin.classloader.command.*;
import org.ow2.jonas.admin.classloader.event.*;


/**
 * Bind a type of command to an action.
 * @author Florent Benoit
 */
public class Controller extends FrontController {

    /**
     * Create an instance of the controller.
     */
    public function Controller(dispatcher:CairngormEventDispatcher) {
        super(dispatcher);
    }

    /**
     * Add all the commands to the pool of commands.
     */
    public function initialiseCommands():void {
        this.addCommand(GetExportedPackagesEvent.EVENT_GET_EXPORTED_PACKAGES, GetExportedPackagesCommand);
        this.addCommand(GetSystemResourcesEvent.EVENT_GET_SYSTEM_RESOURCES, GetSystemResourcesCommand);
        this.addCommand(GetStandaloneApplicationsEvent.EVENT_GET_STANDALONE_APPLICATIONS, GetStandaloneApplicationsCommand);
        this.addCommand(GetClassLoaderApplicationReportEvent.EVENT_GET_CLASSLOADER_APPLICATION_REPORT, GetClassLoaderApplicationReportCommand);
        this.addCommand(GetObjectNameLoadClassEvent.EVENT_GET_OBJECTNAME_LOADCLASS, GetObjectNameLoadClassCommand);
        this.addCommand(GetObjectNameGetResourcesEvent.EVENT_GET_OBJECTNAME_GET_RESOURCES, GetObjectNameGetResourcesCommand);
    }

    public function removeCommands():void {
        removeCommand(GetExportedPackagesEvent.EVENT_GET_EXPORTED_PACKAGES);
        removeCommand(GetSystemResourcesEvent.EVENT_GET_SYSTEM_RESOURCES);
        removeCommand(GetStandaloneApplicationsEvent.EVENT_GET_STANDALONE_APPLICATIONS);
        removeCommand(GetClassLoaderApplicationReportEvent.EVENT_GET_CLASSLOADER_APPLICATION_REPORT);
        removeCommand(GetObjectNameLoadClassEvent.EVENT_GET_OBJECTNAME_LOADCLASS);
        removeCommand(GetObjectNameGetResourcesEvent.EVENT_GET_OBJECTNAME_GET_RESOURCES);
    }
}
}
